import os

def get_selfdir():
    """
    Get absolute filename of the directory containing this init file.
    """
    path = os.path.abspath(os.path.dirname(__file__))
    return path

def get_buffered_template():
    return os.path.join(get_selfdir(), 'buffered_template.c')

def get_unbuffered_template():
    return os.path.join(get_selfdir(), 'unbuffered_template.c')

def get_common_code():
    return os.path.join(get_selfdir(), "common_code.c")
